MBTOOL(8)

NAME
mbtool - Cyrus IMAP documentation

intro

SYNOPSIS

mbtool [ -C config-file ] -r mailbox...
mbtool [ -C config-file ] -t mailbox...

DESCRIPTION

mbtool is a tool for performing various actions on the indexes of a list of mailboxes. The only actions currently supported are -t, which will normalize the internaldate time stamp of each record in the index to GMT, and -r which will create a new unique ID for each mailbox.

Only one action may be given and at least mailbox must be listed.

It is intended that mbtool will be extended over time to perform more such actions.

mbtool reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-t  Normalize internaldate on all index records of all listed mailboxes to match the Date: header if they’re off by more than a day, which can be used to fix up a mailbox which has been restored from backup and lost its internaldate information.

-r  Create a new unique ID for all listed mailboxes.

EXAMPLES

mbtool -r user.jsmith
Create new UUID for mailbox user.jsmith.

mbtool -t user.jsmith
Normalize internaldate on all index records in user.jsmith.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2018, The Cyrus Team